pcl::visualization::context_items::Rectangle Struct Reference

`#include <pcl/visualization/vtk/pcl_context_item.h>`

Inheritance diagram for pcl::visualization::context_items::Rectangle:

## Public Member Functions

| vtkTypeMacro (Rectangle, Point)
virtual bool | Paint (vtkContext2D *painter)
virtual void | set (float _x, float _y, float _w, float _h)
Public Member Functions inherited from pcl::visualization::PCLContextItem
| vtkTypeMacro (PCLContextItem, vtkContextItem)
void | setColors (unsigned char r, unsigned char g, unsigned char b)
void | setColors (unsigned char rgb[3])
void | setOpacity (double opacity)

## Static Public Member Functions

static Rectangle * | New ()
Static Public Member Functions inherited from pcl::visualization::PCLContextItem
static PCLContextItem * | New ()

## Additional Inherited Members

Public Attributes inherited from pcl::visualization::PCLContextItem
unsigned char | colors [3]
std::vector< float > | params

## Detailed Description

Definition at line 120 of file pcl_context_item.h.

## Member Function Documentation

## New()

static Rectangle* pcl::visualization::context_items::Rectangle::New | ( |  | ) |

static

## Paint()

virtual bool pcl::visualization::context_items::Rectangle::Paint | ( | vtkContext2D * | painter | ) |

virtual

Reimplemented from pcl::visualization::PCLContextItem.

Reimplemented in pcl::visualization::context_items::FilledRectangle.

## set()

virtual void pcl::visualization::context_items::Rectangle::set | ( | float | _x,
|  | float | _y,
|  | float | _w,
|  | float | _h
| ) |  |

virtual

## vtkTypeMacro()

pcl::visualization::context_items::Rectangle::vtkTypeMacro | ( | Rectangle | ,
|  | Point |
| ) |  |

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/visualization/include/pcl/visualization/vtk/pcl_context_item.h